# List catalog listings **GET /v1/catalog/listings** Retrieve a list of catalog listings belonging to the authenticated organization. ## Servers - Public API: https://api.pattern.com/hub (Public API) - Staging API: https://stage-api.pattern.com/hub (Staging API) ## Authentication methods - Bearer auth ## Parameters ### Query parameters - **page** (integer) Page number for pagination - **per_page** (integer) Number of listings per page (default: 100) - **item_id** (integer) Filter listings by item ID ## Responses ### 200 catalog listings filtered by item_id #### Body: application/json (array[object]) - **id** (integer) Listing ID - **listing_mp_primary_id** (string) Listing marketplace primary ID - **listing_name** (string | null) Listing name - **marketplace_name** (string | null) Marketplace name - **listing_mp_seller_account_id** (string | null) Listing marketplace seller account ID - **item_id** (integer | null) Associated item ID ### 404 item not found or does not belong to organization #### Body: application/json (object) - **error** (string) [Powered by Bump.sh](https://bump.sh)